GNU bug report logs - #21537
24.5; dired R rename of current directory

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Kevin Ryde <user42_kevin@HIDDEN>; Keywords: confirmed; merged with #30578, #52004; dated Wed, 23 Sep 2015 11:12:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 21537 30578 52004. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 21537 30578. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2015 11:11:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 23 07:11:50 2015
Received: from localhost ([127.0.0.1]:42380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zehxl-0007qq-Gz
	for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 07:11:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37152)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <user42_kevin@HIDDEN>) id 1Zehxj-0007qi-Dc
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 07:11:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <user42_kevin@HIDDEN>) id 1Zehxi-0008Hd-DJ
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 07:11:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41258)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <user42_kevin@HIDDEN>) id 1Zehxi-0008HI-Aq
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 07:11:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47148)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <user42_kevin@HIDDEN>) id 1Zehxh-0005Cf-Bo
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2015 07:11:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <user42_kevin@HIDDEN>) id 1Zehxc-0008De-C9
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2015 07:11:45 -0400
Received: from nm3-vm5.bullet.mail.ne1.yahoo.com ([98.138.91.225]:35065)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <user42_kevin@HIDDEN>) id 1Zehxc-0008CH-3L
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2015 07:11:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com.au; s=s2048;
 t=1443006698; bh=NWvRQ0SpKqEHOm2PZT2etkcopmVZvtUjJ49JbnddGAg=;
 h=From:To:Subject:Date:From:Subject;
 b=qcApv7zcPLUd3x1p+XGjiw0as9iqgVgyCEAceXT0de4vKm9v1gGkePrqL0sBQeHRW+YXUb7Q3hAq/+sGW29HjF4xOl33cDFtllug64dQbbIqlaIflp8SRvqNp7T0hsPYMqFWnzhkqOxLf/6fr1MefdI7pHES7HQ+xCZzW/QK5/mKzRnaruYO+8KsTz9n6yuoKApvXyAtmaI1h532VP1WsNx+pGhbXi6pVqy2TQ1RkgVsZPF4n2CSIX905aRvO+8NNWIl7H0eVMVX+Kb/++tTfesgiQuPFHwLyKxeaKcM8+VHV4+JCApTep87JTJ4/51UwfdysgT9oWB0eSK2lYfmrA==
Received: from [98.138.100.118] by nm3.bullet.mail.ne1.yahoo.com with NNFMP;
 23 Sep 2015 11:11:38 -0000
Received: from [98.138.226.30] by tm109.bullet.mail.ne1.yahoo.com with NNFMP;
 23 Sep 2015 11:11:38 -0000
Received: from [127.0.0.1] by smtp201.mail.ne1.yahoo.com with NNFMP;
 23 Sep 2015 11:11:38 -0000
X-Yahoo-Newman-Id: 346002.96805.bm@HIDDEN
X-Yahoo-Newman-Property: ymail-3
X-YMail-OSG: fgBJuxIVM1k8h6hgLK9JQ0BlzcljrRZIUqWOc8AmHmuULCP
 IEU4HZLduM38NwcSoIY9Umulf.iucGVRPWNp_zCmyR4hkDQcCecWvHlKSZtm
 jhr6YLrR1WsRzq5A3vS3SM5nkpzDs6sfHs94oUa44M_jifOwWfDeErB35SAu
 2DQwON9lknAtFR1SEcQECaGRuZs4.Iuv63RdnTD3ClV.i2VprtyeSe3AQhJZ
 z2ZGR5iBoCdt1FAO4MWb7ffc7YdBAST2lDs4YGH8JDza9qyvqba3sfiJbWP7
 q6hFrH4r8FtANQCGNJuqyJYNarttWKUOBDwxUZywTcGwAb1eUkpgGOCrxaX5
 RiVNHW1rieYsJfUyjx.LNjuh8u8NMzAzSXBnX7SeNoVNeEttOoAHMC_TvmSK
 Ou6cXCc1CCxhReOZGfvCJqsOZbc0RiAfcj3ZCjtFFhQSmCqrefqzdtFx3rtp
 3xFUIlkXhCBzVF8b0i6kPRSy52jmppZkK0Tgconh34qhseB8AekCayllOb8h
 uT1BDwU18MlpG8cDDlq0tN6EB6RaWp5lw5j6gQabh
X-Yahoo-SMTP: U8NKAo6swBAxDIMUovTitGGHebxdYQBZ5A--
From: Kevin Ryde <user42_kevin@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.5; dired R rename of current directory
Date: Wed, 23 Sep 2015 21:04:34 +1000
Message-ID: <87zj0dflbx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

In dired, attempting to "R" rename the current directory gets an error,

   mkdir /tmp/foo
   emacs -Q /tmp/foo
   p, p               # move point to "." entry
   R /tmp/bar
   =>
   dired-rename-subdir-2: Expected to find `/tmp/foo/./' in headerline of /tmp/foo/

The directory is successfully renamed to "bar", but apparently something
in the refresh of the buffer does not recognise it.  It'd be good if the
notion of current directory in the buffer followed to the new name.


In GNU Emacs 24.5.1 (i586-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2015-06-29 on x86-csail-01, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11702000
Configured using:
 `configure --build i586-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --build i586-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=lucid --with-toolkit-scroll-bars
 --without-gconf --without-gsettings 'CFLAGS=-g -O2
 -fstack-protector-strong -Wformat -Werror=format-security -Wall'
 CPPFLAGS=-D_FORTIFY_SOURCE=2 LDFLAGS=-Wl,-z,relro'




Acknowledgement sent to Kevin Ryde <user42_kevin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21537; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 21 Nov 2021 08:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.